Jobs

Get a job

GET /api/v1/jobs/{jobId}

Poll until status is done or failed. Jobs are kept for 24 hours.

API key access
Read only or read and write
Project permission
None — acts on your own account
Success
200 — OK

Parameters

Path

ParameterTypeNotes
jobId required string

Example request

Replace tk_live_YOUR_KEY with your API key and the ids with your own.

curl 'https://trackerv2.marketingplanet.global/api/v1/jobs/6654e8a6c5f7b9d1e3a5c701' \
  -H 'Authorization: Bearer tk_live_YOUR_KEY'

Example response

200 OK
{
  "data": {
    "id": "6654e8a6c5f7b9d1e3a5c701",
    "kind": "dns-check",
    "projectId": "6650a4c2e1b3d5f7a9c1e301",
    "pageId": null,
    "status": "done",
    "result": {
      "status": "ok",
      "monitors": 4,
      "changed": 0
    },
    "errorClass": null,
    "errorMessage": null,
    "createdAt": "2026-10-06T09:30:00.000Z",
    "startedAt": "2026-10-06T09:30:01.000Z",
    "finishedAt": "2026-10-06T09:30:03.000Z"
  }
}

Response fields

FieldTypeNotes
data object
data.id string
data.kind string
data.projectId string
data.pageId string or null
data.status "queued" | "running" | "done" | "failed"
data.result object or null
data.errorClass string or null
data.errorMessage string or null
data.createdAt string (date-time)
data.startedAt string (date-time) or null
data.finishedAt string (date-time) or null

Errors

Besides the errors any request can return (bad or missing key, plan, scope, rate limit), this endpoint can return:

Statuserror.codeMeaning
404not-foundThe resource does not exist or you cannot open it. Tracker does not reveal which.

Errors always look like { "error": { "code": "…", "message": "…" } }. See Errors & limits.